SolrDisMaxQuery::addQueryField
SolrDisMaxQuery::addUserField
SolrDisMaxQuery
PHP Manual

# SolrDisMaxQuery::addTrigramPhraseField

(No version information available, might only be in Git)

SolrDisMaxQuery::addTrigramPhraseField — Adds a Trigram Phrase Field (pf3 parameter)

### Description

public SolrDisMaxQuery SolrDisMaxQuery::addTrigramPhraseField ( string `$field` , string `$boost` [, string `$slop` ] )

Adds a Trigram Phrase Field (pf3 parameter)

### Parameters

`field`

  Field Name

`boost`

  Field Boost

`slop`

  Field Slop

### Return Values

SolrDisMaxQuery

### Examples

Example #1 SolrDisMaxQuery::addTrigramPhraseField() example

`<?php
$dismaxQuery = new SolrDisMaxQuery('lucene');
$dismaxQuery
->addTrigramPhraseField('cat', 2, 5.1)
->addTrigramPhraseField('feature', 4.5)
;
echo $dismaxQuery.PHP_EOL;
?>`

The above example will output:

    q=lucene&defType=%s&pf3=cat~5.1^2 feature^4.5

### See Also

- SolrDisMaxQuery::removeTrigramPhraseField() - Removes a Trigram Phrase Field (pf3 parameter)
- SolrDisMaxQuery::setTrigramPhraseFields() - Directly Sets Trigram Phrase Fields (pf3 parameter)
- SolrDisMaxQuery::setTrigramPhraseSlop() - Sets Trigram Phrase Slop (ps3 parameter)

SolrDisMaxQuery::addQueryField
SolrDisMaxQuery::addUserField
SolrDisMaxQuery
PHP Manual